API Reference
A P I Keys
Authorization
apiKey AuthorizationBearer <token>
Workspace scoped API key, printed once by pnpm seed or POST /api-keys.
In: header
Response Body
application/json
application/json
curl -X GET "https://example.com/api-keys"{ "keys": [ { "id": "string", "name": "string", "lastUsedAt": "2019-08-24T14:15:22Z", "createdAt": "2019-08-24T14:15:22Z" } ]}Authorization
apiKey AuthorizationBearer <token>
Workspace scoped API key, printed once by pnpm seed or POST /api-keys.
In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
curl -X POST "https://example.com/api-keys" \ -H "Content-Type: application/json" \ -d '{ "name": "string" }'{ "key": { "id": "string", "name": "string", "token": "string" }}Authorization
apiKey AuthorizationBearer <token>
Workspace scoped API key, printed once by pnpm seed or POST /api-keys.
In: header
Path Parameters
id*string
API key id
Response Body
application/json
application/json
application/json
curl -X DELETE "https://example.com/api-keys/string"{ "ok": true}